#pragma once

/**
* @author Rory Winston &lt;rory@researchkitchen.co.uk&;
*/
typedef std::map<std::string, Tariff*> TariffMap;

struct CallInfo; /// Forward declaration

class TariffCalculator
{
public:
	TariffCalculator(void);
	~TariffCalculator(void);

	void parse(std::string filename);
	TariffMap& getTariffs(void);
	float getCost(CallInfo* callInfo);

private:
	TariffMap tariffs;
};
