// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#pragma once

// Change these values to use different versions
#define WINVER		0x0400
//#define _WIN32_WINNT	0x0400
#define _WIN32_IE	0x0400
#define _RICHEDIT_VER	0x0100

#include <atlbase.h>
#include <atlapp.h>

extern CAppModule _Module;

#include <atlwin.h>
#include <atlcom.h>
#include <atlhost.h>
#include <atlctrls.h>
#include <atlctrlw.h>
#include <atlframe.h>
#include <atldlgs.h>

#import "c:\\windows\\system32\\skype4com.dll" named_guids

using namespace SKYPE4COMLib;

#include <sstream>
#include <string>
#include <fstream>
#include <map>

#include <cmath>

#include <boost/tokenizer.hpp>
#include <boost/lexical_cast.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>

#include "Tariff.h"
#include "TariffCalculator.h"


typedef enum TariffType { DAY, EVENING, WEEKEND } TariffType;

typedef struct CallInfo {
	long			callId;
	std::string*	callerCountry;
	long			duration;
	TariffType		tariffType;
} CallInfo;