#pragma once

/**
*  A class that represents a single Tariff instance.
*  @author Rory Winston &lt;rory@researchkitchen.co.uk&gt;
*/
class Tariff
{
public:
	Tariff(void);
	Tariff(float day, float evening, float weekend, std::string& country);
	~Tariff(void);
	float getDayTariff(void) const { return dayTariff; }
	float getEveningTariff(void) const { return eveningTariff; }
	float getWeekendTariff(void) const { return weekendTariff; }
    std::string getCountry(void) const { return country; }
	inline void setCountry(const std::string& country) { this->country = country; }
	inline void setDayTariff(const float dayTariff) { this->dayTariff = dayTariff; }
	inline void setEveningTariff(const float eveningTariff) { this->eveningTariff = eveningTariff; }
	inline void setWeekendTariff(const float weekendTariff) { this->weekendTariff = weekendTariff; }

private:
	float dayTariff;
	float eveningTariff;
	float weekendTariff;
	std::string country;
};
